MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005142ATutorThemepublic2012-12-31 12:252013-02-11 12:04
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1.1 
Summary0005142: page metadate missing
DescriptionMetadata keywords entered through the content properties panel in not rendered in a meta keywords element. Needed for search engine indexing.
TagsNo tags attached.
Affects versionSVN
SVN Revision#1e04d9c..7f614f1 master -> master
Attached Files

- Relationships
related to 0005151closedgreg Page metadata from course home 

-  Notes
(0005905)
greg (administrator)
2012-12-31 13:03
edited on: 2012-12-31 13:16

content.php "0000118:0000061"
$content_keywords = $content_row['keywords'];

header.tmpl.php "0000049:0000065"
    <?php if(isset($this->content_keywords) && $this->content_keywords != ''){ ?>
    <meta name="keywords" content="<?php echo $this->content_keywords; ?>" />
    <?php } ?>

header.inc.php "0000084:0000040"
global $content_keywords;

(0005906)
greg (administrator)
2012-12-31 13:56

Also add the first bit of content as description:

content.php "0000118:0000061"
$content_description = preg_replace('/\s\s+/', ' ',substr(str_replace(' ', ' ',str_replace('"', '', strip_tags($content_row['text']))), 0, 350));

header.tmpl.php "0000049:0000065"
    <?php if(isset($this->content_description) && $this->content_description != ''){ ?>
    <meta name="description" content="<?php echo $this->content_description; ?>" />
    <?php } ?>

header.inc.php "0000084:0000040"
global $content_description;
(0005908)
greg (administrator)
2013-01-02 12:34

added keyword and description metadata to theme header templates, and created patch for 2.1
(0006026)
greg (administrator)
2013-02-11 12:04

closed for 2.1.1

- Issue History
Date Modified Username Field Change
2012-12-31 12:25 greg New Issue
2012-12-31 13:03 greg Note Added: 0005905
2012-12-31 13:03 greg Note Edited: 0005905 View Revisions
2012-12-31 13:16 greg Note Edited: 0005905 View Revisions
2012-12-31 13:56 greg Note Added: 0005906
2013-01-02 12:34 greg SVN Revision# => 1e04d9c..7f614f1 master -> master
2013-01-02 12:34 greg Note Added: 0005908
2013-01-02 12:34 greg Status new => resolved
2013-01-02 12:34 greg Fixed in Version => 2.1.1
2013-01-02 12:34 greg Resolution open => fixed
2013-01-02 12:34 greg Assigned To => greg
2013-01-09 18:04 greg Relationship added related to 0005151
2013-02-11 12:04 greg Note Added: 0006026
2013-02-11 12:04 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker